Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <IIOP_Connection_Handler.h>`

Inheritance diagram for TAO_IIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_IIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_IIOP_Connection_Handler (ACE_Thread_Manager *=0)
| TAO_IIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| ~TAO_IIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>.
int | enable_network_priority (void)
| Check if network priority needs to be enabled.
int | set_dscp_codepoint (void)
| Set the Diff-Serv codepoint if the Policy dicates the setting of Network Priority.
int | set_dscp_codepoint (int tos)
virtual void | update_protocol_properties (int send_buffer_size, int recv_buffer_size, int no_delay, int enable_network_priority)
virtual int | open_handler (void *)
| A open () hook.
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
| Close the underlying connection.
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
## Protected Methods
| TAO_IIOP_Connection_Handler (TAO_ORB_Core *orb_core, void *arg)
| Constructor that could be used by the derived classes.
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
| Release the OS resources related to this handler.
## Private Attributes
TAO_IIOP_Properties | tcp_properties_
| TCP configuration for this connection.
int | dscp_codepoint_
| Stores the type of service value.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | ACE_Thread_Manager * | = 0 | ) |

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_IIOP_Connection_Handler::~TAO_IIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | void * | arg
| ) | `[protected]`

| Constructor that could be used by the derived classes. Sometimes new pluggbale protocols which have similarties with IIOP may be tempted to this class for their use. Classical example being that of IIOP_SSL_Connection_Handler. This constructor just initializes its base class and sets all of its contents to the default value, if any

## Member Function Documentation

int TAO_IIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_IIOP_Connection_Handler::close | ( | u_long | = 0 | ) | `[virtual]`

| Close called by the Acceptor or Connector when connection establishment fails. Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_IIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Close the underlying connection. Used by the ORB to actively close connections that are idle, stale or somehow are determined to be broken before the Reactor does. Returns: Return 0 if the connection was already closed, non-zero otherwise. Implements TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::enable_network_priority | ( | void |  | ) |

| Check if network priority needs to be enabled.

int TAO_IIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_IIOP_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

| The event handler calls, here so that other objects who hold a reference to this object can call the event handler methods. Implements TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_IIOP_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_IIOP_Connection_Handler::open_handler | ( | void * |  | ) | `[virtual]`

| A open () hook. See Thread_Per_Connection_Handler for a use case Implements TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::process_listen_point_list | ( | IIOP::ListenPointList & | listen_list | ) |

| Process the <listen_list>.

int TAO_IIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Release the OS resources related to this handler. Reimplemented from TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::set_dscp_codepoint | ( | int | tos | ) |

int TAO_IIOP_Connection_Handler::set_dscp_codepoint | ( | void |  | ) |

| Set the Diff-Serv codepoint if the Policy dicates the setting of Network Priority.

void TAO_IIOP_Connection_Handler::update_protocol_properties | ( | int | send_buffer_size,
|  | int | recv_buffer_size,
|  | int | no_delay,
|  | int | enable_network_priority
| ) | `[virtual]`

| Update the tcp properties of the hanlder to the most recent properties set after the last invocation

## Member Data Documentation

int TAO_IIOP_Connection_Handler::dscp_codepoint_`[private]`

| Stores the type of service value.

TAO_IIOP_Properties TAO_IIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

The documentation for this class was generated from the following files:

- IIOP_Connection_Handler.h
- IIOP_Connection_Handler.cpp